SET NOCOUNT ON
IF NOT EXISTS(
	SELECT 
		ID 
	FROM 
		SYSOBJECTS 
	WHERE 
		NAME = 'RC_CLI' AND XTYPE = 'U')
BEGIN
	SET NOCOUNT OFF
	RAISERROR('A TABELA NA QUAL O CAMPO SERÁ ADICIONADO NÃO FOI ENCONTRADA NO BANCO DE DADOS.',16,1)
END

ELSE
BEGIN
	IF NOT EXISTS (
		SELECT
			* 
		FROM 
			SYSCOLUMNS 
		WHERE 
			NAME = 'MELHOR_DIA'
			AND ID IN (
				SELECT 
					ID 
				FROM 
					SYSOBJECTS 
				WHERE 
					NAME = 'RC_CLI' AND XTYPE = 'U'))

		BEGIN
			ALTER TABLE RC_CLI ADD MELHOR_DIA INT NULL 

		END
	SET NOCOUNT OFF
	PRINT 'CAMPO MELHOR_DIA NA TABELA RC_CLI INSERIDO COM SUCESSO '
END